package nl.tudelft.ewi.es.mbdlistener.events;

import nl.tudelft.ewi.es.mbdlistener.diagnoser.Conflict;

public class ConflictCancellationEvent extends ListenerEvent {
	Conflict conflict = null;
	private int id;
	private int source;

	/**
	 * @param timeStamp
	 * @param conflict
	 */
	public ConflictCancellationEvent(Double timeStamp, int source, int id) {
		super(timeStamp);
		this.source = source;
		this.id = id;
	}

	/**
	 * @return the conflict
	 */
	public Conflict getConflict() {
		return conflict;
	}
	public int getId() {
		return id;
	}
	public int getSource() {
		return source;
	}
	@Override
	public String toString() {
		return super.toString() +"Conflict cancelled (Src: " + source + ", ID: "+ id +")";
	}
}
