package nl.tudelft.ewi.es.mbdlistener.events;

public class SensorDeathEvent extends ListenerEvent {
	private Integer nodeId;

	/**
	 * @param timeStamp
	 * @param conflict
	 */
	public SensorDeathEvent(Double timeStamp, Integer nodeId) {
		super(timeStamp);
		this.nodeId = nodeId;
	}

	public Integer getNodeId() {
		return nodeId;
	}
	@Override
	public String toString() {
		return super.toString() + "Sensor " + nodeId + " died";
	}
}
