package nl.tudelft.ewi.es.mbdlistener.graphics;

import java.util.List;

import nl.tudelft.ewi.es.mbdlistener.diagnoser.Diagnosis;

public class CancelConflictDiagnoserEvent extends DiagnoserEvent {
	private int source;
	private int id;
	
	public CancelConflictDiagnoserEvent(List<Diagnosis> diagnoses, int source, int id) {
		super(diagnoses);
		this.id = id;
		this.source = source;
	}

	@Override
	public String toString() {
		return "Cancelled (Src: " + source + ", id: " + id + ")";
	}
}
