#!/usr/bin/env python
import sys

num_nodes = 49;
#global topo = []

def loadNoiseGainTopo(filename):
    f = open(filename, "r")

    lines = f.readlines()
    noise = dict()
    for line in lines:
	s = line.split()
	if (len(s) > 0):
	    if (s[0] == "noise"):
		noise[s[1]] = float(s[2])
		if float(s[3]) > -110.0:
		    print " n" + s[1], "-- n" + s[2];
    f.close()
    f = open(filename, "r")
    
    gain = dict()
    lines = f.readlines()
    for line in lines:
	s = line.split()
	if (len(s) > 0):
	    if (s[0] == "gain"):
#		print s[1], noise[s[1]], s[3]
		if float(s[3]) > noise[s[1]]:
		    gain[int(s[1])] = float(s[3])
		    print " n" + s[1], "-- n" + s[2], "[label=", float(s[3]) - noise[s[1]], " fontsize=30]"  ;

    for node in gain:
	print node, gain[node]

def loadGainTopo(filename):
    f = open(filename, "r")

    lines = f.readlines()
    for line in lines:
	s = line.split()
	if (len(s) > 0):
	    if (s[0] == "gain"):
		if float(s[3]) > -110.0:
		    print " n" + s[1], "-- n" + s[2];

def loadTopo(filename):
    pass
#    f = open(filename, "r")
#
#    lines = f.readlines()
#    for line in lines:
#	s = line.split()
#	if (len(s) > 0):
#	    print "\tn" + s[0], " [ pos = \"" + s[1] + "," + s[2] + "!\"];";

def loadTestbedTopo(filename):
    f = open(filename, "r")
    nodes = open("nodes", "r")
    nodelist = nodes.readlines()
	
    lines = f.readlines()
    lines.pop(0)
    lines.pop(0)
    lines.pop(0)
    lines.pop(0)
    for line in lines:
	for nodeentry in nodelist:
	    if (nodeentry[0] == '#'):
		continue;
	    s = nodeentry.split(":")
	    line = line.replace(s[1], "n" +s[0])
	if line.startswith("}"):
	    break
	print line;



#def loadDiag(filename, diagno):
#    f = open(filename, "r")
#
#    lines = f.readlines()
#    for line in lines:
#	s = line.split("], [")
#	diag = s[diagno].strip("[]").split(", ")
#	for entry in diag:
#	    print "n" + entry.strip("Node "), "[style=filled,color=skyblue]";
#	if (len(s) > 0):
#		print "\tn" + s[0], " [ pos = \"" + s[1] + "," + s[2] + "!\"];";

if __name__ == '__main__':
    if len (sys.argv) != 2:
	diag = 0
    else:
	diag = int(sys.argv[1])
#    print "graph G {"
#    print "\tsize = \"10,10\""
#    print "overlap = false"
#    print "\tnode [shape=circle,height=1,fontsize=30]"
#    print "\tnode [shape=circle,height=1]"

#    loadTopo("noisy_dense_topology.out")
#    loadNoiseGainTopo("noisy_dense_linkgain.out")
#    loadTopo("noisy1_topology.out")
#    loadNoiseGainTopo("noisy1_linkgain.out")
#    loadTopo("noisy2_topology.out")
#    loadNoiseGainTopo("noisy2_linkgain.out")
#    loadTopo("noisy3_topology.out")
#    loadNoiseGainTopo("noisy3_linkgain.out")
    loadTopo("noisy5_topology.out")
    loadNoiseGainTopo("noisy5_linkgain.out")
#    loadTopo("topology.out")
#    loadGainTopo("linkgain.out")
#    loadTestbedTopo("positions.dot")
#    loadDiag("diagnoses.txt", diag)

#    print "}"
