# !/bin/bash

CLASSPATH=$CLASSPATH:/home/adriaan/svn/TestMBD/MbdListener/bin/:/home/adriaan/svn/commons-cli-1.2.jar
#echo "bin_width = 1.0; ## edit this. 
#bin_number(x) = floor(x/bin_width)
#rounded(x) = bin_width * ( bin_number(x) + 0.5 )
#UNITY = 1
### column number of data to be histogrammed is here assumed to be 1 
### - change $1 to another column if desired 
#plot 'run_0_nolink_node_sensor_time.plot' u (rounded($1)):(UNITY) t 'data' smooth frequency w histeps" >> all_data_histo.sh
#PREFIXES="idealised noisy1 noisy2 noisy_dense"
PREFIXES="idealised noisy_dense noisy2 noisy3 noisy4 noisy5 noisy6"
#RUNS="run_0 run_2 run_4"
RUNS="config_0"

for PREFIX in $PREFIXES; do
    echo > "Time_${PREFIX}.plot"
done

for DIR in $RUNS; do
    if [ -d $DIR ]; then
	pushd "$DIR"
	for PREFIX in $PREFIXES ; do #
	    for FILE in `ls ${PREFIX}*stdout.out`; do
	    echo "#${DIR}/${FILE}">> ../"Time_${PREFIX}.plot"
	    cat "$FILE" |parser | java nl.tudelft.ewi.es.mbdlistener.MbdListener -ix -tp -ixto >> ../"Time_${PREFIX}.plot"
	    echo "Finished $FILE"
	    done
        done
	popd
    fi
done
