#!/usr/bin/gnuplot -persist

#plot "<cat  Time.plot.plot| gethistogram 100 1" u 1:2 t 'data' w histeps
#plot "<cat  Time.plot.plot| gethistogram 10 1" u 1:2 t 'data' w steps
#plot "<cat  Time_idealised.plot.plot| gethistogram 10 0 1" u 1:2 w steps title "idealised"
#replot "<cat  Time_noisy1.plot.plot| gethistogram 10 0 1" u 1:2 w steps title "noisy1"
#replot "<cat  Time_noisy2.plot| gethistogram 10 0 1" u 1:2 w steps title "noisy2"
#replot "<cat  Time_noisy_dense.plot| gethistogram 10 0 1" u 1:2 w steps title "noisy dense"

#set xlabel ""
set style data histogram
set style histogram cluster gap 2
set style fill solid border -1
set boxwidth 0.9
#set xtic rotate by -45 scale 0
set noxtics

set terminal postscript eps enhanced color
set output "run_messages.eps"

#set title "Number of messages per run"
set ylabel "Average number of messages"
plot "<cat  run_0_idealised_msg.plot| getaverage 1 " u 1 title "Grid", \
	"<cat  run_0_noisy3_msg.plot| getaverage 1 " u 1  title "Normal 1",\
	"<cat  run_0_noisy4_msg.plot| getaverage 1 " u 1  title "Normal 2",\
	"<cat  run_0_noisy5_msg.plot| getaverage 1 " u 1  title "Normal 3",\
	"<cat  run_0_noisy6_msg.plot| getaverage 1 " u 1  title "Normal 4",\
	"<cat  run_0_noisy2_msg.plot| getaverage 1 " u 1  title "Noisy",\
	"<cat  run_0_noisy_dense_msg.plot| getaverage 1 " u 1  title "Dense",\
	"<cat  run_0_testbed_msg.plot| getaverage 1 " u 1  title "Testbed"
