package nl.tudelft.ewi.es.mbdlistener.diagnoser;


public class SensorEnvironment extends Environment {
	private static final long serialVersionUID = 1L;

	private int nodeID;
	
	public SensorEnvironment(short[] env, int initialIndex) {
		nodeID = (env[initialIndex] << 8) + env[initialIndex+1];
	}
	
	public SensorEnvironment(int nodeId) {
		this.nodeID = nodeId;
	}
	
	@Override
	public String toString() {
		return "Sensor " + nodeID;
	}
	
	public Integer getNodeID() {
		return nodeID;
	}
}
