package nl.tudelft.ewi.es.mbdlistener.output;

import java.io.OutputStream;
import java.io.PrintStream;
import java.util.Observable;

import nl.tudelft.ewi.es.mbdlistener.diagnoser.Diagnoser;

public class DiagnosesPrinter extends ListenerOutput {
	private final PrintStream outputStream;

	public DiagnosesPrinter(Diagnoser diagnoser, OutputStream os) {
		super(diagnoser);
		this.outputStream = new PrintStream(os, true);
	}

	@Override
	public void update(Observable o, Object arg) {
		super.update(o,arg);
		outputStream.println(getDiagnoses());
	}
}
